Coin: ScXMLExprDataObj Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

ScXMLExprDataObj Class Referenceabstract
Inheritance diagram for ScXMLExprDataObj:

## Public Member Functions
virtual SoType | getTypeId (void) const =0
| Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.
ScXMLDataObj * | evaluate (ScXMLStateMachine *sm)
Public Member Functions inherited from ScXMLDataObj
void | setContainer (ScXMLObject *container)
ScXMLObject * | getContainer (void) const
Public Member Functions inherited from ScXMLObject
SbBool | isOfType (SoType type) const
| Returns `TRUE` if the type of this object is either of the same type or inherited from type.

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLDataObj
static SoType | getClassTypeId (void)
static void | initClass (void)
static void | cleanClass (void)
Static Public Member Functions inherited from ScXMLObject
static SoType | getClassTypeId (void)
| This static method returns the SoType object associated with objects of this class.
static void | initClass (void)
| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void | cleanClass (void)
| Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

## Protected Member Functions
virtual SbBool | evaluateNow (ScXMLStateMachine *sm, ScXMLDataObj *&pointer) const =0

## Additional Inherited Members
Static Protected Member Functions inherited from ScXMLObject
static void | registerClassType (const char *xmlns, const char *classname, SoType type)
static void | registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

## Member Function Documentation

## ◆ getTypeId()

virtual SoType ScXMLExprDataObj::getTypeId | ( | void |  | ) | const
| pure virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
  SoBase::getTypeId() const

Implements ScXMLDataObj.

Implemented in ScXMLAddOpExprDataObj, ScXMLAndOpExprDataObj, ScXMLAppendOpExprDataObj, ScXMLCoinAddOpExprDataObj, ScXMLCoinDivideOpExprDataObj, ScXMLCoinEqualsOpExprDataObj, ScXMLCoinLengthFuncExprDataObj, ScXMLCoinMultiplyOpExprDataObj, ScXMLCoinSubtractOpExprDataObj, ScXMLDivideOpExprDataObj, ScXMLEqualsOpExprDataObj, ScXMLInExprDataObj, ScXMLMinimumExprDataObj, ScXMLMultiplyOpExprDataObj, ScXMLNegateOpExprDataObj, ScXMLNotOpExprDataObj, ScXMLOrOpExprDataObj, ScXMLReferenceDataObj, and ScXMLSubtractOpExprDataObj.

The documentation for this class was generated from the following files:

- ScXMLEvaluator.h
- ScXMLEvaluator.cpp